Package Details: fofix-git 1:v4.0.0alpha2.r324.g0f69173-4

Git Clone URL: https://aur.archlinux.org/fofix-git.git (read-only, click to copy)
Package Base: fofix-git
Description: Frets on Fire X (FoFiX). Highly improved version of Frets on Fire (Git Version)
Upstream URL: https://github.com/fofix/fofix
Keywords: fofix fretsonfire game
Licenses: GPL
Submitter: doorknob60
Maintainer: Linkid
Last Packager: Linkid
Votes: 19
Popularity: 0.000000
First Submitted: 2010-07-11 08:37 (UTC)
Last Updated: 2019-10-28 18:22 (UTC)

Latest Comments

Linkid commented on 2021-01-27 17:59 (UTC)

Hi @xantares. This software is not working with python3 yet. This is in the TODO list. But when it will be ready, this package will be updated for sure :).

xantares commented on 2021-01-26 21:12 (UTC) (edited on 2021-01-26 21:13 (UTC) by xantares)

hello,

can this be switched to python3 ?

also it does not work

I think its time

svloyso commented on 2019-01-17 18:03 (UTC) (edited on 2019-01-17 18:04 (UTC) by svloyso)

Doesn't work for me.

Exception: PortMidi: `Bad pointer'
Exception Exception: Exception("PortMidi: `Bad pointer'",) in 'pypm.Input.__dealloc__' ignored

But fofix (without -git) works fine.

Brottweiler commented on 2017-12-03 19:56 (UTC)

Seems to complain about "No module named MpoImagePlugin" now instead, latest commit d74ea79eef035581eb1b93d737be21860c359455.

Brottweiler commented on 2017-10-13 21:58 (UTC)

After installing it crashes on launch, same goes for non git version: https://gist.github.com/552cca1aafacf86db8abcee7c1545a95

Linkid commented on 2016-09-01 20:41 (UTC)

The dependency 'python2-fretwork-git' was added and some dependencies updated: - use Pillow instead of PIL - remove pyogg and pyvorbis - rename pyaudio to python2-pyaudio - add python2-opengl and gettext (optional). So, the package should build.

Salamandar commented on 2015-10-12 14:18 (UTC) (edited on 2015-10-12 14:19 (UTC) by Salamandar)

Please add python2-fretwork-git To the dependencies, as some shared code has been moved to this git repo :)

Linkid commented on 2015-08-28 08:10 (UTC)

Done

mixedCase commented on 2015-08-27 13:10 (UTC)

This depends on python2-cerealizer. Could you add it to the dependencies?

Linkid commented on 2015-07-12 15:28 (UTC)

Looks good to me.

Serra commented on 2014-12-29 14:38 (UTC)

The package does not build anymore. The directory src does not exists in the git repo anymore

mid-kid commented on 2014-01-11 13:02 (UTC)

This package also needs extra/glu to be able to build.

doorknob60 commented on 2013-11-17 22:26 (UTC)

I think I fixed it :D Pyxml apparently isn't required anymore, and it seems to work without it. I was able to build and run it.

doorknob60 commented on 2013-11-17 21:15 (UTC)

I'm not sure if the pyxml package exists anymore. Apperantly, it was old, unmaintained code, and I didn't find any articles about Arch, but I think Fedora dropped it: https://fedoraproject.org/wiki/Features/RemovePyXML . I assume Arch must have done the same. You can try building it without the package, but that will probably fail. Unless they updated the Fofix code to run with a different library, it probably won't build unless someone makes a pyxml package (which I don't have time to mess with).

olejorgenb commented on 2013-11-17 21:01 (UTC)

pyxml package doesn't exist :(

commented on 2013-07-11 21:47 (UTC)

You should add 'ffmpeg' to depends. Build fails without it

McDoenerKing commented on 2013-05-14 08:16 (UTC)

missing dependency: soundtouch It doesn't compile for me without it. Starting it gives me just a black background.

doorknob60 commented on 2012-10-20 21:37 (UTC)

Fixed. Also fixed non -git fofix package.

nickl commented on 2012-10-19 08:47 (UTC)

A number of changes should be made to the PKGBUILD. Most important, the _gitroot should be: _gitroot="http://github.com/fofix/fofix.git" as they've moved the main git url. also, should depend on: - python2-opengl - python2-pysqlite - python2-pygame - python2-imaging

doorknob60 commented on 2011-12-21 19:17 (UTC)

Yep, fixed.

rndstr commented on 2011-12-21 09:47 (UTC)

Shouldn't this depend on cython2 instead of cython? At least it no longer complained about missing Cython.Distutils as soon as I installed cython2.

commented on 2011-01-02 14:41 (UTC)

And pil is now python-imaging

commented on 2011-01-02 14:36 (UTC)

Since the switch to python3: python-numpy is now python2-numpy

doorknob60 commented on 2010-09-13 02:11 (UTC)

This package is now not architecture independent, as they added a couple C/C++ modules to improve performance (hence the requirement of cython). Just letting you guys know why it changed.

doorknob60 commented on 2010-07-11 08:41 (UTC)

This should be able to peacefully coexist with the fretsonfire-alarian-mod package, though your fofix.ini file in your home folder is used by both, so your settings might get messed up. This is a replacement of the out of date fofix-svn package (they switched to git a while back).